#include "color.h"

Color& Color::operator=(const wxColour &color)
{
	wxColour::operator=(color);
	return *this;
}

void Color::toRgba(float *rgba4f) const
{
	rgba4f[0] = Red();
	rgba4f[1] = Green();
	rgba4f[2] = Blue();
	rgba4f[3] = Alpha();
}

void Color::toRgba(unsigned char *rgba4ub) const
{
	rgba4ub[0] = Red();
	rgba4ub[1] = Green();
	rgba4ub[2] = Blue();
	rgba4ub[3] = Alpha();
}

void Color::toRgb(unsigned char *rgb3ub) const
{
	rgb3ub[0] = Red();
	rgb3ub[1] = Green();
	rgb3ub[2] = Blue();
}
